<?php

namespace App\Installation;

use App\Installation\Commands\NpmInstall;
use App\Installation\Contracts\Instructions;
use Illuminate\Support\Facades\Storage;

class NodeInstructions extends Instructions
{
    public function name()
    {
        return 'Node';
    }

    public function canRun(): bool
    {
        return Storage::disk('project')->exists('package.json');
    }

    protected function commands(): array
    {
        return [
            new NpmInstall,
        ];
    }
}
