<?php

namespace App\Projects;

use Illuminate\Support\Str;

class ProjectName
{
    private const KEY = 'project-name';

    public static function save(string $name): void
    {
        $segments = explode('/', $name);
        $name = array_pop($segments);

        cache()->set(self::KEY, Str::slug($name));
    }

    public static function retrieve(): ?string
    {
        return cache()->get(self::KEY);
    }

    public static function forget(): void
    {
        cache()->forget(self::KEY);
    }
}
